/** Shopify CDN: Minification failed

Line 16:20 Unexpected "{"
Line 16:29 Expected ":"
Line 16:36 Unexpected "{"
Line 17:15 Expected identifier but found whitespace
Line 17:17 Unexpected "{"
Line 17:26 Expected ":"
Line 18:17 Expected identifier but found whitespace
Line 18:19 Unexpected "{"
Line 18:28 Expected ":"
Line 19:17 Expected identifier but found whitespace
... and 110 more hidden warnings

**/
 #announcement-bar-{{ section.id }} {
    --bg-color: {{ section.settings.bg_color }};
    --text-color: {{ section.settings.text_color }};
    --icon-color: {{ section.settings.icon_color }};

    --font-size: {{ section.settings.font_size }}px;
    --icon-size: {{ section.settings.icon_size }}px;

    background: var(--bg-color);
    color: var(--text-color);

    padding-top: {{ section.settings.padding_top_desktop }}px;
    padding-bottom: {{ section.settings.padding_bottom_desktop }}px;
  }

  .custom-announcement-bar{
    padding: 10px 0;
    max-height: 40px;
  }
  /* Main Wrapper */

  #announcement-bar-{{ section.id }} .announcement-wrapper{
      padding:0 20px;
      display:flex;
      align-items:center;
      justify-content:space-between;
      gap:20px;
  }

  /* Columns */

  #announcement-bar-{{ section.id }} .announcement-left,
  #announcement-bar-{{ section.id }} .announcement-center,
  #announcement-bar-{{ section.id }} .announcement-right{
      display:flex;
      align-items:center;
  }

  #announcement-bar-{{ section.id }} .announcement-left{
      flex:1;
      justify-content:flex-start;
  }

  #announcement-bar-{{ section.id }} .announcement-center{
      justify-content:center;
      gap:30px;
      display: flex;
  }

  #announcement-bar-{{ section.id }} .announcement-right{
      flex:1;
      justify-content:flex-end;
  }

  .announcement-center .announcement-item:nth-child(2){
    border-right: 1px solid #fff;
    border-left: 1px solid #fff;
    padding: 0 30px;
  }

  #announcement-bar-{{ section.id }} .announcement-item{
      display:flex;
      align-items:center;
      gap:10px;
  }

  #announcement-bar-{{ section.id }} .announcement-icon{

      width:var(--icon-size);
      height:var(--icon-size);

      display:flex;
      align-items:center;
      justify-content:center;

      flex-shrink:0;
  }

  #announcement-bar-{{ section.id }} .announcement-icon svg{
      width:100%;
      height:100%;
      fill:var(--icon-color);
      color:var(--icon-color);
  }

  /* Text */

  #announcement-bar-{{ section.id }} .announcement-text{
      color:var(--text-color);
      font-weight:500;
      white-space:nowrap;
      line-height: 1.2;
      font-size: 18px;
  }

  /* Phone */

  #announcement-bar-{{ section.id }} .phone-item{
      font-weight:600;
  }



  @media screen and (max-width:1024px){

      #announcement-bar-{{ section.id }}{
          padding-top:{{ section.settings.padding_top_tablet }}px;
          padding-bottom:{{ section.settings.padding_bottom_tablet }}px;
      }

      #announcement-bar-{{ section.id }} .announcement-wrapper{
          padding:0 15px;
          gap:15px;
          justify-content: center;
      }

      #announcement-bar-{{ section.id }} .announcement-center{
          gap:22px;
      }

      #announcement-bar-{{ section.id }} .announcement-item{
          font-size:15px;
      }

  }

  @media (min-width: 768px) and (max-width: 1024px) {
    .announcement-text{
        font-size: 16px;
    }
    .announcement-center .announcement-item:nth-child(2){
        padding: 0 15px;
    }
    .announcement-left , .announcement-right{
        display: none;
    }
  }

  @media screen and (max-width:767px){

      #announcement-bar-{{ section.id }}{

          padding-top:{{ section.settings.padding_top_mobile }}px;
          padding-bottom:{{ section.settings.padding_bottom_mobile }}px;
      }

      #announcement-bar-{{ section.id }} .announcement-wrapper{
          flex-direction:column;
          justify-content:center;
          align-items:center;
          text-align:center;
          gap:0;
      }

      .custom-announcement-bar{
        max-height: initial;
      }

      #announcement-bar-{{ section.id }} .announcement-left,
      #announcement-bar-{{ section.id }} .announcement-center,
      #announcement-bar-{{ section.id }} .announcement-right{
          width:100%;
          justify-content:center;
      }

      #announcement-bar-{{ section.id }} .announcement-center{
          flex-wrap:wrap;
          gap:14px 20px;
      }

      #announcement-bar-{{ section.id }} .announcement-item{
          justify-content:center;
          font-size:{{ section.settings.font_size_mobile }}px;
      }

      #announcement-bar-{{ section.id }} .announcement-icon{
          width:{{ section.settings.icon_size_mobile }}px;
          height:{{ section.settings.icon_size_mobile }}px;
      }

      #announcement-bar-{{ section.id }} .announcement-text{
          white-space:normal;
          font-size: 16px;
      }

      #announcement-bar-{{ section.id }} .announcement-left , #announcement-bar-{{ section.id }} .announcement-right{
        display: none;
      }

       /* When slider is enabled */
    #announcement-bar-{{ section.id }} .announcement-center.mobile-slider-enabled{
        position: relative;
        overflow: hidden;
        display: block;
        width: 100%;
    }

    #announcement-bar-{{ section.id }} .announcement-center.mobile-slider-enabled .announcement-slide{
        display: none;
        width: 100%;
        justify-content: center;
        align-items: center;
        text-align: center;
        animation: fadeAnnouncement .35s ease;
    }

    #announcement-bar-{{ section.id }} .announcement-center.mobile-slider-enabled .announcement-slide.active{
        display: flex;
    }

    /* Remove desktop border in slider mode */
    #announcement-bar-{{ section.id }} .announcement-center.mobile-slider-enabled .announcement-slide{
        border: 0 !important;
        padding: 0 !important;
    }
  @keyframes fadeAnnouncement{
    from{
        opacity:0;
    }
    to{
        opacity:1;
    }
  }

}

